package com.ruoyi.cms.service;

import com.ruoyi.common.core.domain.entity.File;
import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 文件Service接口
 * 
 * @author ${author}
 * @date 2025-03-18
 */
public interface IFileService 
{
    /**
     * 查询文件
     * 
     * @param id 文件主键
     * @return 文件
     */
    public File selectFileById(Long id);

    /**
     * 查询文件列表
     * 
     * @param file 文件
     * @return 文件集合
     */
    public List<File> selectFileList(File file);

    /**
     * 新增文件
     * 
     * @param file 文件
     * @return 结果
     */
    public int insertFile(File file);

    /**
     * 修改文件
     * 
     * @param file 文件
     * @return 结果
     */
    public int updateFile(File file);

    /**
     * 批量删除文件
     * 
     * @param ids 需要删除的文件主键集合
     * @return 结果
     */
    public int deleteFileByIds(Long[] ids);

    AjaxResult upload(MultipartFile file, Long bussinessid);

    AjaxResult uploadFile(MultipartFile file, Long bussinessid, HttpServletRequest request);
}
